﻿using CommunityToolkit.Maui.Behaviors;
using CommunityToolkit.Maui.Converters;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        List<string> itemList = new List<string>()
        {
            "광주",
            "대전",
            "대구",
            "목포",
            "부산",
            "서울",
            "수원",
            "울산",
            "포항"
        };

        ItemTappedEventArgsConverter converter = new ItemTappedEventArgsConverter();

        EventToCommandBehavior behavior = new EventToCommandBehavior();

        behavior.EventName          = "ItemTapped";
        behavior.EventArgsConverter = converter;
        behavior.Command            = new Command<string>
        (
            async (e) =>
            {
                await DisplayAlert("INFORMATION", $"{e} 항목을 탭하였습니다.", "확인");
            }
        );

        this.listView.Behaviors.Add(behavior);

        this.listView.ItemsSource  = itemList;
        this.listView.SelectedItem = itemList[1];
    }

    #endregion
}